#
# spec file for package perl-prefork
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-prefork
Version:        1.05
Release:        1.22
%define cpan_name prefork
Summary:        Optimized module loading for forking or non-forking processes
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The 'prefork' pragma is intended to allow module writers to optimise module
loading for *both* scenarios with as little additional code as possible.

prefork.pm is intended to serve as a central and optional marshalling point
for state detection (are we running in compile-time or run-time mode) and
to act as a relatively light-weight module loader.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING README
%license LICENSE

%changelog
* Thu Aug 22 2019 Tina Mueller <tina.mueller@suse.com>
- Remove patch and use PERL_USE_UNSAFE_INC
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.05
  see /usr/share/doc/packages/perl-prefork/Changes
* Wed Sep 12 2018 Stephan Kulow <coolo@suse.com>
- add fix-build.diff from RT#120832
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Wed Sep  1 2010 pascal.bleser@opensuse.org
- initial package (1.04)
